summaryrefslogtreecommitdiffstats
path: root/sesman
diff options
context:
space:
mode:
authorJay Sorg <jay.sorg@gmail.com>2013-06-03 00:04:49 -0700
committerJay Sorg <jay.sorg@gmail.com>2013-06-03 00:04:49 -0700
commit5223d1078f5de92bec78bea478f4d542a8a390db (patch)
treed10e960d02b6f6a83e5840a9400e4a4a40d4f59c /sesman
parent2029867510c1556deeedfeb03ed052bbbaaf6d88 (diff)
parent9c3635fa5ee99dcb202eec75b67bf23200e58e10 (diff)
downloadxrdp-proprietary-5223d1078f5de92bec78bea478f4d542a8a390db.tar.gz
xrdp-proprietary-5223d1078f5de92bec78bea478f4d542a8a390db.zip
Merge remote branch 'xrdp-org/master'
Diffstat (limited to 'sesman')
-rw-r--r--sesman/chansrv/Makefile.am12
-rwxr-xr-xsesman/startwm.sh124
-rw-r--r--sesman/tools/Makefile.am6
3 files changed, 115 insertions, 27 deletions
diff --git a/sesman/chansrv/Makefile.am b/sesman/chansrv/Makefile.am
index d200509a..89753430 100644
--- a/sesman/chansrv/Makefile.am
+++ b/sesman/chansrv/Makefile.am
@@ -1,4 +1,14 @@
-EXTRA_DIST = chansrv.h clipboard.h devredir.h sound.h
+EXTRA_DIST = \
+ chansrv.h \
+ chansrv_fuse.h \
+ clipboard.h \
+ clipboard_common.h \
+ clipboard_file.h \
+ devredir.h \
+ drdynvc.h \
+ rail.h \
+ sound.h \
+ xcommon.h
EXTRA_DEFINES =
EXTRA_INCLUDES =
diff --git a/sesman/startwm.sh b/sesman/startwm.sh
index 457ca1a5..ee48263f 100755
--- a/sesman/startwm.sh
+++ b/sesman/startwm.sh
@@ -1,25 +1,101 @@
#!/bin/sh
-if [ -r /etc/default/locale ]; then
- . /etc/default/locale
- export LANG LANGUAGE
-fi
-
-# debian
-if [ -r /etc/X11/Xsession ]; then
- . /etc/X11/Xsession
- exit 0
-fi
-
-# el
-if [ -r /etc/X11/xinit/Xsession ]; then
- . /etc/X11/xinit/Xsession
- exit 0
-fi
-
-# suse
-if [ -r /etc/X11/xdm/Xsession ]; then
- . /etc/X11/xdm/Xsession
- exit 0
-fi
-
-xterm
+
+#start the window manager
+wm_start()
+{
+ if [ -r /etc/default/locale ]; then
+ . /etc/default/locale
+ export LANG LANGUAGE
+ fi
+
+ # debian
+ if [ -r /etc/X11/Xsession ]; then
+ . /etc/X11/Xsession
+ exit 0
+ fi
+
+ # el
+ if [ -r /etc/X11/xinit/Xsession ]; then
+ . /etc/X11/xinit/Xsession
+ exit 0
+ fi
+
+ # suse
+ if [ -r /etc/X11/xdm/Xsession ]; then
+ . /etc/X11/xdm/Xsession
+ exit 0
+ fi
+
+ xterm
+}
+
+#Execution sequence for interactive login shell
+#Following pseudo code explains the sequence of execution of these files.
+#execute /etc/profile
+#IF ~/.bash_profile exists THEN
+# execute ~/.bash_profile
+#ELSE
+# IF ~/.bash_login exist THEN
+# execute ~/.bash_login
+# ELSE
+# IF ~/.profile exist THEN
+# execute ~/.profile
+# END IF
+# END IF
+#END IF
+pre_start()
+{
+ if [ -f /etc/profile ]
+ then
+ . /etc/profile
+ fi
+ if [ -f ~/.bash_profile ]
+ then
+ . ~/.bash_profile
+ else
+ if [ -f ~/.bash_login ]
+ then
+ . ~/.bash_login
+ else
+ if [ -f ~/.profile ]
+ then
+ . ~/.profile
+ fi
+ fi
+ fi
+ return 0
+}
+
+#When you logout of the interactive shell, following is the
+#sequence of execution:
+#IF ~/.bash_logout exists THEN
+# execute ~/.bash_logout
+#END IF
+post_start()
+{
+ if [ -f ~/.bash_logout ]
+ then
+ . ~/.bash_logout
+ fi
+ return 0
+}
+
+#. /etc/environment
+#export PATH=$PATH
+#export LANG=$LANG
+
+# change PATH to be what your environment needs usually what is in
+# /etc/environment
+#PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games"
+#export PATH=$PATH
+
+# for PATH and LANG from /etc/environment
+# pam will auto process the environment file if /etc/pam.d/xrdp-sesman
+# includes
+# auth required pam_env.so readenv=1
+
+pre_start
+wm_start
+post_start
+
+exit 1
diff --git a/sesman/tools/Makefile.am b/sesman/tools/Makefile.am
index ab3612d0..140c6820 100644
--- a/sesman/tools/Makefile.am
+++ b/sesman/tools/Makefile.am
@@ -13,9 +13,11 @@ INCLUDES = \
bin_PROGRAMS = \
xrdp-sesrun \
- xrdp-sestest \
xrdp-sesadmin \
- xrdp-dis \
+ xrdp-dis
+
+noinst_PROGRAMS = \
+ xrdp-sestest \
xrdp-xcon
xrdp_sesrun_SOURCES = \